<template>
  <div class="flex items-center justify-between h-[58px]">
    <div class="flex items-center">
      <div
        :class="step1Done ? 'bg-[#93C854]' : 'bg-[#C4E1A2]'"
        class="w-4 md:w-6 h-4 md:h-6 shrink-0 rounded-full border border-[#ABD57B] flex items-center justify-center text-[10px] md:text-[14px] font-bold text-white mr-[10px]"
      >
        <font-awesome-icon
          v-if="step1Done"
          icon="check"
          class="text-white"
        />
        <span v-else>1</span>
      </div>
      <div :class="step1Done ? 'text-[#93C854]' : 'text-[#ABD57B]'" class="text-[12px] md:text-[14px] font-bold mr-4 leading-4">Isi Form</div>
      <div class="-left-3 md:left-0 relative w-6 md:w-8 h-[2px] md:h-[3px] bg-[#E0E4E7]"></div>
    </div>
    <div class="flex items-center">
      <div
        :class="[
          step2Active ? 'bg-[#C4E1A2] border-[#ABD57B] !text-white' : 'bg-[#F8F9FA] border-[#D4DADE]',
          step2Done && step2Active ? '!bg-[#93C854]' : ''
        ].join(' ')"
        class="w-4 md:w-6 h-4 md:h-6 shrink-0 rounded-full border flex items-center justify-center text-[10px] md:text-[14px] font-bold text-[#D4DADE] mr-[10px]"
      >
        <font-awesome-icon
          v-if="step2Done"
          icon="check"
          class="text-white"
        />
        <span v-else>2</span>
      </div>
      <div :class="step2Active ? 'text-[#ABD57B]' : 'text-[#D6DBE0]'" class="text-[12px] md:text-[14px] font-bold mr-4 leading-4">Pilih Penawaran</div>
      <div class="-left-3 md:left-0 relative w-6 md:w-8 h-[2px] md:h-[3px] bg-[#E0E4E7]"></div>
    </div>
    <div class="flex items-center w-[140px] shrink-0">
      <div
        :class="step3Active ? 'bg-[#C4E1A2] border-[#ABD57B] !text-white' : 'bg-[#F8F9FA] border-[#D4DADE] text-[#D4DADE]'"
        class="w-4 md:w-6 h-4 md:h-6 shrink-0 rounded-full flex items-center justify-center text-[10px] md:text-[14px] font-bold text-[#D4DADE] mr-[10px] border"
      >3</div>
      <div :class="step3Active ? 'text-[#ABD57B]' : 'text-[#D6DBE0]'" class="text-[12px] md:text-[14px] font-bold mr-4 leading-4 md:leading-5">Tanda Tangan Dokumen</div>
    </div>
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus';

export default {
  name: 'StepWizard',
  data() {
    return {
      step1Active: true,
      step2Active: false,
      step3Active: false,
      step1Done: false,
      step2Done: false,
      step3Done: false
    }
  },
  created() {
    EventBus.$on('activate-step-2', this.activateStep2);
    EventBus.$on('activate-step-3', this.activateStep3);
  },
  methods: {
    activateStep2() {
      this.step2Active = true,
      this.step1Done = true
    },
    activateStep3() {
      this.step3Active = true,
      this.step2Done = true
    }
  },
}
</script>
